Changelog
Version 2026
v2026.1.2 March 25th, 2026
- Added
ai_assistant_settingsproperties for the settings of the AI assistants of the network - Added endpoint
GET /networks/{networkEID}/ai-assistants-settings/to retrieve the settings of AI assistants - Added endpoint
PUT /networks/{networkEID}/ai-assistants-settings/to update the settings of the AI assistants
v2026.1.1 March 24th, 2026
- Added Scheduled updates feature and the corresponding menu item
v2026.1.0 March 17th, 2026
- Breaking change:
titleandbodyfields on page creation and editing endpoints now explicitly rejectnullvalues. Both fields must be provided as strings (empty string""is still allowed for draft pages). Clients on older API versions continue to receive the previous behaviour where omitting these fields was accepted.
v2026.0.4 March 9th, 2026
- Added
scheduled_update_publishedalert type for notifying users when their scheduled update has been published by the cron job
v2026.0.3 February 25th, 2026
- Added
include_hiddenquery parameter to the search endpoint/networks/{networkEID}/search/to include hidden groups in search results - Added
addressable_forquery parameter to the search endpoint/networks/{networkEID}/search/to filter groups by content type they are addressable for (e.g.task,news,journey)
v2026.0.2 February 19th, 2026
- Added
due_date_nonequery parameter to the task collection endpoint/networks/{eid}/tasks/to filter tasks without a due date. Cannot be combined withdue_date_fromordue_date_to
v2026.0.1 February 18th, 2026
- Added read-only
highlightedAtproperty on knowledge base categories - Added endpoints
POST /networks/{networkEid}/knowledge-base/categories/{eid}/highlightandPOST /networks/{networkEid}/knowledge-base/categories/{eid}/unhighlight - Added endpoint
GET /networks/{networkEID}/knowledge-base/home/to retrieve the Knowledge Base Home. If no home exists yet for the network, a default one is created and returned
v2026.0.0 January 5th, 2026
- First release of the year
Version 2025
v2025.4.3 December 5, 2025
- Added
isBotproperty to user network profile resource, indicating whether a user profile is a bot account (read-only, defaults tofalse)
v2025.4.2 November 3, 2025
- Added
autoTranslationproperty to user network profile resource, enabling users to control automatic translation settings (defaults totrue)
v2025.4.1 October 22, 2025
- Introduce
tertiarycolor on network theme properties
v2025.4.0 September 19, 2025
employmentStartDateis editable only by network admins input_user_profileAPI
v2025.3.2 September 22, 2025
- Journey recipients can be embeded with
journeys.recipients, instead ofjourneys,recipientswhen fetching journeys collection - Journey recipients can be now paginated with
limit[journeys.recipients]andoffset[journeys.recipients]for collection endpoint - and with
limit[recipients]andoffset['recipients]for single resource endpoint
v2025.3.1 September 17, 2025
- Introduce
allowEditingProfileBioin network settings - Introduce
allowEditingJobTitlein network settings
v2025.3.0 September 3, 2025
- Breaking change: The property
_metaon journeys and journey participants will not be included unless explicitly whitelisted
v2025.2.1 September 1, 2025
Added new fields for the user network profile:
employmentStartDate- the date when the user joined their company
aboutMe- several short sentences that serves as a bio/intro on the user’s profile
workStatus- current work status of the user
workStatusValidUntil- controls until which the current work status is set
v2025.2.0 August 18, 2025
Postable types changed for the /users/{profileEID}/postable-types endpoint:
eventis no longer part of the responseupdateis presented only if thepersonal_timelinefeature flag is onprivate_messageis presented even if the user checks their own profile page
v2025.1.0 August 14, 2025
Some whitelisting properties have been deprecated.
- Stop using the attachment properties:
attachments.eid,attachments.type. Useattachmentsinstead. - Stop using the email address properties:
emailAddresses.value,emailAddresses.label,emailAddresses.primary,emailAddresses.confirmed. UseemailAddressesinstead. - Stop using the poll answer properties:
answers.eid,answers.title. Useanswersinstead. - Stop using the name properties:
name.firstName,name.infix, andname.familyName. Usenameinstead. - Stop using the telephone number properties:
telephoneNumbers.value,telephoneNumbers.iddCode, andtelephoneNumbers.label. UsetelephoneNumbersinstead. - Stop using the file properties:
file.filename,file.type,file.mimeType,file.path,file.sizeandfile.dimensions. Usefileinstead. - Stop using the dnd properties:
dnd.dndEnabled,dnd.scheduleEnabled,dnd.startanddnd.end. Usedndinstead. - Stop using the audience properties:
audience.eidandaudience.type. Useaudienceinstead. - Stop using the event properties:
event.start,event.end,event.allDay,event.locationandevent.canceled. Useeventinstead. - Stop using the oauth properties:
oauth.client,oauth.client.secretandoauth.client.flow. Useoauthinstead. - Stop using the mention properties:
mentions.eid,mentions.type,mentions.offsetandmentions.length. Usementionsinstead. - And the properties without replacement:
recipients.networkEID.
v2025.1.0 June 5, 2025
- Breaking change: Concatenated news items are no longer supported in
/timeline/?type=news. This means the API now returns only published news items when the status parameter is not provided
v2025.0.11 April 25, 2025
- Added
isDynamicproperty onappMenuItemresource for IdP Saml entries
v2025.0.10 March 13, 2025
- Added
numImpreciseActiveMembersCountproperty to thenetworkresource
v2025.0.9 March 11, 2025
- Added
spectrumobject topropertiesproperty of theNetworkThemeDto
v2025.0.8 February 25, 2025
- Added
isAnonymousproperty for a message with typepoll - Introduced
/polls/{pollEID}/voters/{answerEID}/, which returns the list of users who voted for an answer in a poll.
v2025.0.7 February 11, 2025
- Added support of property
htmlBodyfor a message with typeupdateortask
v2025.0.6 February 10, 2025
- Added new property
knowledge_base_articlesearch type to/networks/{networkEID}/search/endpoint. You need to explicitly specify this type in thetypequery parameter to search for knowledge base articles.
v2025.0.5 January 30, 2025
- Trying to change user's password on
/networks/{eid}/users/xid/{xid}/endpoint for non-emailless accounts will be successful with a warning in the response - Introduce
propertieson NetworkTheme resource
v2025.0.4 January 27, 2025
- Added new property
knowledgeBaseHomeHeadertonetworkthemes - Added new property
knowledgeBaseCategoryHeadertonetworkthemes - Added new property
knowledgeBasePageHeadertonetworkthemes
v2025.0.3 January 21, 2025
- Added new query parameter
actionabilityto/alerts/markreadendpointactionableandnon-actionableare the valid values
categoryquery parameter in/alerts/markreadhas to be specified and BE will no longer set toUSERby default.
v2025.0.2 January 13, 2025
- Added new property
numNonActionRequiredAlertsCoalescedtowhoami.networks._user - Added new property
numActionRequiredAlertstowhoami.networks._user
v2025.0.1 January 6, 2025
- Added new endpoint
/polls/{eid}/reactivatefor reactivating an ended poll - Added alert type
poll_reactivated
v2025.0.0 January 2nd, 2025
- Added
audienceTypeproperty to our knowledge base categories
Version 2024
v2024.3.2 December 17, 2024
- Added an object property
readTimeto news response that hasunitandvalueproperties for showing the time needed to read a news item
v2024.3.1 December 10, 2024
- Added a new query parameter
ancestorsto accept multiple ancestors when filtering groups
v2024.3.0 November 28, 2024
- Pagination is being done by parsing the url query parameters
limitandoffsetinstead of blindly trusting PHP global objects - Breaking change: The
offsetquery parameter will not be carried over to sub-resources, be explicit by settingoffset[resource]. Default value is zero. This does not apply to'limit, that is still carried over. - Breaking change: Query parameter
offset[messages]is no longer supported to paginate task collection, useoffsetoroffset[self]instead
v2024.2.6 November 6, 2024
- Added
deletedAtproperty to pages for soft deletion - Added
coverImageproperty to our knowledge base pages - Added Knowledge Base Categories: admins can create, edit view and delete them through new endpoints
/networks/:networkEid/knowledge-base/categories/:categoryEid/
v2024.2.5 October 23, 2024
- Deprecated
deletedproperty from user resource, useuserStateinstead
v2024.2.4 August 5, 2024
- Own user birthday info is always being returned on fetching user profile data. Both on
/networks/:networkEID/users/:profileEID/and/networks/:networkEID/users/?embed=usersendpoints
v2024.2.3 July 5, 2024
- Removed support for Urban Airship as a
notificationProvideron the/my-devices/and/whitelabel-apps/endpoints
v2024.2.2 May 2, 2024
- Added
projectIdto the/whitelabel-apps/endpoint for both creation and retrieval - Added
notificationProviderVersionto the/whitelabel-apps/endpoint for both creation and retrieval
v2024.2.1 April 15, 2024
- Added journey question step support
- Added a new endpoint /networks/{networkEID}/journeys/{journeyEID}/questions/ to create question
- Added a new endpoint /networks/{networkEID}/journeys/{journeyEID}/steps/questions/{stepEID}/submit to submit choices as a participant
- Journey admin participant export is now returning quiz result
v2024.2.0 February 21, 2024
- Images uploaded with
type="file"will no longer generate thumbnails, thus not being restricted to 20MP anymore
v2024.1.2 February 1, 2024
- Added a new alert type
journey_failed_to_launchto notify the journey launcher about unsuccessful journey launch
v2024.1.1 January 25, 2024
- Added a new property
reactableto message to separate comments and reactions - Added two new properties
allowCommentsPreferenceandallowReactionsPreferenceto the network settings to allow comments and reactions preference
v2024.1.0 January 8, 2024
- Dropped support for
attachmentsin tasks in favor ofimagesandfiles. More info can be found at https://speakap.atlassian.net/wiki/spaces/BAC/pages/3918954528/Images+in+Tasks
Version 2023
v2023.0.12 November 16, 2023
- Added
smsInvitationSmsInvitationDto type property to invitation list
v2023.0.11 October 13, 2023
- Added
isDuplicateboolean type property to news items - Added
originalAuthorobject type property to duplicated news items - Added
originalAuthorto theembeddedquery parameter which can be used in/messagesormessages/[newsEID]/endpoints
v2023.0.10 September 25, 2023
- Added comments on comments functionality
- Added
$parentCommentEIDproperty to theMessageDto - Added a new query parameter
parentCommentEIDto the endpoint/network/{networkEID}/messages/to fetch threads
v2023.0.9 September 19, 2023
- Added a new endpoint
/network/{networkEID}/news/{messageEID}/duplicate/for duplicating a news item - Added
AlertTypes::DUPLICATION_PROCESS_SUCEEDED - Added
AlertTypes::DUPLICATION_PROCESS_FAILED
v2023.0.8 September 7, 2023
- Added a new endpoint
/network/{networkEID}/tasks/{taskEID}/recipients/for listing the recipients of a multiple assignee group tasks
v2023.0.7 July 14, 2023
- Added the new field
messageTypeto push notifications
v2023.0.6 June 20, 2023
- Created a new endpoint
/push-notifications/debug/to facilitate the diagnostic of issues with Push Notification - Updated "Pagination" page, added
Pagination support by message typesection
v2023.0.5 May 2, 2023
- Network has a property
mobileNumberwhich is the mobile number of the network's sender to be used when sending SMS messages
v2023.0.4 April 18, 2023
- Network invitation expose the mobile number of the inviter
- User Sync endpoint supports to send SMS when inviting users
v2023.0.3 March 23, 2023
- Added
AlertTypes::NEWS_ADDRESSEE_EXPORT_SUCCESS - Added
AlertTypes::NEWS_ADDRESSEE_EXPORT_FAILURE
v2023.0.2 February 20, 2023
- Added multiple recipients for task management
- Added
$excludedRecipientsproperty to theMessageDto
v2023.0.1 January 04, 2023
- Added birthday widget available for mobile as menu item
Version 1.6
v1.6.8 October 10, 2018
- Property
defaultEmblemThumbnailUrladded to Group resource
v1.6.7 August 21, 2018
- API supports custom network domains
v1.6.6 July 18, 2018
- Property
numVideoViewsadded to Message resource
v1.6.5 June 5, 2018
- Links will not override properties with the same name
v1.6.3 March 15, 2018
- Property
responsiveadded to App Manifest resource
Version 1.5
v1.5.9 December 14, 2017
- Property
numUnrespondedEventsadded to Badge counter resource
v1.5.7 October 24, 2017
- A network is no longer limited to having a single white label app
- HAL
whitelabelAppsrelation added to Network resource - HAL
networksrelation added to Whitelabel App resource - Read-only property
numNetworksadded to Whitelabel App resource - Property
platformadded to Whitelabel App resource - Introduced Platform enum with values
androidandios - Property
downloadUrladded to Whitelabel App resource - Introduced Network Identity object
v1.5.6 October 12, 2017
- Deprecated property
appStoreUrlfrom Whitelabel App Resource - Deprecated property
googlePlayUrlfrom Whitelabel App Resource - Property
addedRecipientsadded to Message resource (in write-context) - Property
removedRecipientsadded to Message resource (in write-context) - Read-only property
reasonadded to Bubble object - Introduced Bubble Reason enum
- Bubbled updates now contain a reason that indicates why bubbling took place. Up until this version
new_commentwas the only reason for an update to bubble. - Editing event can cause it to bubble up. Three separate reasons were added for this:
date_time_changed,location_changedanddetails_changed
v1.5.5 September 28, 2017
- Introduced GET collection endpoint on past User Devices subresource
- HAL
accountrelation added to User resource (for authorized clients only) - Deprecated property
whitelabelAppfrom Network Resource (write-context) - Property
appVersionadded to UserDevice resource - Property
appDistributorEnabledadded to Network resource - Introduced
event_details_changedalert type - Introduced
app-distributorApp Position
v1.5.4 September 14, 2017
- Introduced
event_details_changedalert type
v1.5.3 August 31, 2017
- Introduced
event_invitation,event_canceled,event_date_time_changed,event_location_changedalert types - New invitees to a private event now receive an alert
- Invitees of a private event will now receive an alert when the date/time and/or its location have been changed
- Introduction of a custom error code -38: invalid date range
v1.5.2 August 17, 2017
- Introduced event editing
- Introduced POST and PUT update endpoints on Events resource
- Introduced GET collection endpoint on past Events subresource
- Property
eventHeaderBackgroundUrladded to Network Theme subresource - Introduced
event_header_backgroundfile type - Bug: news addressees no longer include suspened users
- Bug: fixed property whitelisting issue related to null values
v1.5.1 August 3, 2017
- Introduced event cancelation and reactivation
- Introduction of
cancelandreinstatepermissions on Message resources - Introduced
cancelandreinstateaction endpoints on Message resource - Read-only property
canceledadded to Event object of Message resource
v1.5.0 June 15, 2017 - 20 July, 2017
- Introduced
eventmessage type - Introduced Event object
- Introduced GET collection endpoint on Message (type event) resource
- Query filter
tzintroduced for the Message (type event) resource collection - Introduction of
rsvppermission on Message resources - Introduced
rsvpaction endpoint on Message resource - HAL
rsvprelation added to Message (type event) resource - Introduced Invitation Response (i.e. RSVP) enum
- Read-only property
responderCountsadded to Event object of Message resource - Property
rsvpadded to user metadata of Message (type event) subresource - Property
rsvpadded to metadata of User resource
Version 1.4
v1.4.8 May 31, 2017
- From now no all different Network Administrator roles (e.g.
enterprise_admin) will be returned asadminin the Role, and Membership resource and user metadata of the Network resource - Property
faviconadded to Network resource (in write-context) - HAL
faviconrelation added to Network resource - Renamed property
eventin the Message Resource toannouncement - Property
fallbackUrladded to App Entry Point object. - The fallback URL may contain an alternative location for devices that cannot handle the regular entry point URL
v1.4.7 May 18, 2017
- Introduced host-info endpoint
- Read-only property
speakapDomainadded to Network resource - Read-only property
baseUrladded to Network resource - HAL
hostInforelation added to Network resource
v1.4.5 April 5, 2017
- Introduced GET collection endpoint on Message Addressees subresource
- Read-only property
numReadersadded to Message resource - Authors of news items and users with administrative privileges over any of the recipients are able to view the readers of news
- Introduced Email Settings resource
- Introduced POST and PUT update endpoints on Email Settings resource
- Read-only property
emailSettingsadded to Network resource - Incoming links to Speakap can now include an Identity Provider (
idp) parameter. This will cause an immediate redirect to the relevant authentication service
v1.4.4 March 9, 2017
- Property
urlAppendNetworkadded to App Entry Point object - Apps that have the abovementioned property added to external entry points of their manifest will get two query parameters appended to SSO redirect URIs:
network_eidandnetwork_auth_url
v1.4.3 February 23, 2017
- Introduction of
likepermission on Message resources - Updates and news items can be locked from now on. Locked messages and their comments cannot be liked nor can they be commented on any longer
- Property
lockedadded to Message resource - Uncommentable messages will have their
numCommentsandnumLikesproperties set to 0 - The HAL resource of uncommentable messages will no longer have
commentsand/orlikersrelations - Group memberships that are “externally managed” will be protected from deletion by Speakap administrators. Externally managed means that third-party HR-software dictates the creation and removal of these kind of memberships
- Read-only property
lockedByadded to Membership object of groups - Property
lockedByadded to membership metadata of User Groups subresource
v1.4.2 February 14, 2017
- Bug: fixed sending app alerts to multiple user recipients
v1.4.1 January 12, 2017
- All group managements permissions are now transitive: network administrators can manage all groups, group administrators can manage all subgroups
- Query filter
permissionintroduced for the Group resource collection - Whitelisted dimensions for on demand thumbnails:
390x170,300x170andWx270
v1.4 December 1, 2016
- Introduced various video thumbnail formats
- Added
HLS,DASHandvideoto file display previews of streaming video - Introduction of uploading and streaming video
- Introduced video stream playback endpoint on File Resource
- Introduced GET video stream endpoint on File Resource
- For updates in write context files need to be attached in the category corresponding to their file type
- Read-only property
numImagesadded to Message resource - Read-only property
numVideosadded to Message resource - Read-only property
numFilesadded to Message resource - Property
imagesadded to Message resource (in write-context) - Property
videosadded to Message resource (in write-context) - Property
filesadded to Message resource (in write-context) - Read-only property
videoEnabledadded to Network resource - Read-only property
marketEnabledadded to Network Features subresource - Introduced
video_processing_completealert type - HAL
imagesrelation added to Message resource - HAL
videosrelation added to Message resource - HAL
filesrelation added to Message resource
Version 1.3
v1.3.8 October 18, 2016
- Property
hasMenuItemadded to App Entry Point object - Applications can send alerts to users by targeting their
XID - Alerts can now be sent to users with a pending invitation
v1.3.7 September 29, 2016
- Property
headerBackgroundUrlof the User resource no longer returns a thumbnail, but the URL of the original image - HAL
organizationGroupsrelation added to User resource - Introduced
internalcontact label type - Introduced various thumbnail formats
v1.3.6 September 19, 2016
- Introduced whitelist for thumbnails that are generated on demand
- Users can now hide their primary email address
- Read-only property
hiddenadded to Email Address object - Property
defaultPrimaryEmailPrivacySettingadded to Network object - Introduced File Dimensions object
- Property
dimensionsadded to File object of Message resource
v1.3.4 - v1.3.5 September 5, 2016
- Introduced different timeline sorting options
- Introduced Preferences object
- Property
preferencesadded to User Settings subresource
v1.3.3 July 28, 2016
- Deprecated Usage resource
v1.3.2 July 14, 2016
- Introduced
subscribeaction endpoint on Message resource - Introduced
unsubscribeaction endpoint on Message resource - Property
widgetHeightadded to App Entry Point object
v1.3.1 June 30, 2016
- Property
subscribedadded to user metadata of Message resource - Introduced
message_activity_commentalert type
v1.3 June 16, 2016
- Introduces editing updates and comments
- Property
supersededadded to Message resource
Version 1.2
v1.2.2 April 29, 2016
- Deprecated non-standard HTTP status texts in JSON error response
v1.2.1 March 24, 2016
- Introduced DELETE by XID endpoint on User resource
- Introduced
suspendaction endpoint on Membership resource - Suspended users are reactivated when reinvited
v1.2 March 10, 201z
- Introduced
acceptTerms of Service action endpoint - Introduction of SAML Signle Sign On
- Introduced Access Preconditions object
- Property
identityadded to Ivitee object - Property
autoActivateadded to Ivitee object - Introduced Identity object
- Property
accessPreconditionsadded to user metadata of Network resource - Introduced
reactivateNetwork Invite Result type - Introduced Single Sign On object
- Property
ssoadded to Network resource (in write-context)
Version 1.1
v1.1.16 January 28, 2016
- Both published news items and drafts returned in news collection
- Property
whitelabelAppadded to User Device resource
v1.1.15 December 17, 2015
- Changed default timezone format (colon introduced between hours and minutes)
- Application permission
list_group_membersadded - Application permission
list_networksadded
v1.1.14 December 7, 2015
- Introduced GET collection endpoint on Whitelabel App resource
- Introduced GET endpoint on Whitelabel App resource
- Introduced POST new endpoint on Whitelabel App resource
- Introduced PUT update endpoint on Whitelabel App resource
- Introduction of the rich news editor
- Property
whitelabelAppadded to App Manifest resource (in write-context) - Read-only property
lastModifiedadded to Message resource - Read-only property
lastEditedadded to Message resource - HAL
lastEditoroMesrelation added to Message resource - Property
statusadded to Message resource - Property
htmlBodyadded to Message resource - Property
headerBackgroundadded to Message resource (in write-context) - Read-only property
headerBackgroundadded to Message resource - HAL
headerBackgroundrelation added to Message resource - Read-only property
newsHeaderBackgroundadded to Network Theme resource
v1.1.13 October 29, 2015
- Application permission
get_network_timelineadded
v1.1.12 October 15, 2015
- Introduced DELETE endpoint on Sessions resource
- Introduced
resolvelocationaction endpoint - Introduced
resolvelocationaction endpoint - Introduced GET collection endpoint on Sessions resource
- Introduced POST update endpoint on Sessions resource
v1.1.11 October 1, 2015
- Introduced GET collection endpoint on Group Widgets subresource
- Introduced POST bulk update endpoint on Group Widgets subresource
- Introduced PUT bulk update endpoint on Group Widgets subresource
- Introduction of group widgets
v1.1.10 September 17, 2015
- Introduced GET endpoint of Spotlight Widget on Group Resource
- Introduced POST update endpoint of Spotlight Widget on Group Resource
- Renamed property
typeto widgetType in Widget Resource - Property
typeadded to Widget resource - Property
XIDadded to Group resource - Property
membersMayPostadded to Group resource - Property
recipientsadded to Share entity - ### v1.1.9 September 7, 2015
- Application permission
get_user_groupsadded - Application permission
post_to_any_groupadded - Introduced DELETE endpoint on Alert resource
- Introduced POST update endpoint on Alert resource
- Property
emailDeliveryFormatadded to Network subresource
v1.1.8 July 28, 2015
- Application permission
get_profile_xidadded - Application permission
list_groupsadded - Introduced DELETE endpoint on User Authorized Apps subresource
- Introduced GET by XID endpoint on User resource
- Introduced GET collection endpoint on User Authorized Apps subresource
- Introduced PATCH endpoint on User resource
- Introduced POST new endpoint on User Authorized Apps subresource
- Introduced POST update by XID endpoint on User resource
- Introduced POST update endpoint on User Authorized Apps subresource
- Introduction of Single Sign On for Speakap applications
- Property
redirectUrisadded to Group resource - Property
scopeadded to user metadata of App resource - Property
authorizedadded to user metadata of App resource
v1.1.7 July 9, 2015
- Query filter
labelintroduced for the Group resource collection - Query filter
qintroduced for the Label resource collection - Introduced DELETE endpoint on Label resource
- Introduced GET collection endpoint on Label resource
- Introduced GET endpoint on Label resource
- Introduced POST new endpoint on Label resource
- Introduced POST update endpoint on Label resource
- Introduced PUT update endpoint on Label resource
- Introduced label recipients
- Introduced Label resource
v1.1.6 June 26, 2015
- Application permission
list_network_rolesadded - Query filter
exclude_groupintroduced for the User resource collection - Read-only property total added to Pagination object
v1.1.5 June 11, 2015
- Application permission
upload_into_foldersadded - Query filter
ancestorintroduced for the Group resource collection - Read-only property
createdadded to successful JSON response
v1.1.4 April 30, 2015
- Deprecated property
relationshipStatusfrom User Resource
v1.1.3 April 16, 2015
- Introduced
sync-useraction endpoint of Network resource - Property
XIDadded to User resource
v1.1.2 April 2, 2015
- Query filter
addable_tointroduced for the User resource collection
v1.1.1 March 19, 2015
- Query filter
addressable_forintroduced for the Group resource collection - Group’s name is not longer appended with the parent group name
v1.1 March 5, 2015
- Introduction of Enterprise Speakap
- Application permission
infinite_limitadded - Query filter
disable_participant_matchingintroduced for the Conversation resource collection - Query filter
include_hiddenintroduced for the Group resource collection - Query filter
parentintroduced for the Group resource collection - Query filter
scopeintroduced for the Group resource collection - Query filter
typeintroduced for the Group resource collection - Query filter
scopeintroduced for the User resource collection - Introduced GET collection endpoint on Group Types subresource
- Introduced GET endpoint on Group Types subresource
- Introduced GET collection endpoint on Group Relations subresource
- Introduced POST new endpoint on Business Unit resource
- Introduced POST new endpoint on Department resource
- Introduced POST new endpoint on Group Relations subresource
- Introduced POST update endpoint on Group Types subresource
- Introduced POST new endpoint on Group Relations subresource
- Introduced POST new endpoint on Group Types subresource
- Introduced
addaction endpoint on Group Users subresource - Introduced
mergeaction endpoint on Group Users subresource - Introduced POST new endpoint on Local Department resource
- Introduced POST update endpoint on Network Subscription subresource
- Introduced PUT update endpoint on Group Types subresource
- Introduced PUT update endpoint on Network Subscription subresource
- Property
parentadded to Group resource (in write-context) - HAL
parentGrouprelation added to Group resource - HAL
subgroupsrelation added to Group resource - Read-only property
hiddenadded to Group resource - Introduced Business Unit resource
- Introduced Department resource
- Introduced Local Department resource
- Introduced Group Role entity
- Introduced Group Relation resource
- Introduced user and group cover images
- Property
groupHeaderBackgroundUrladded to Network Theme subresource - Property
userHeaderBackgroundUrladded to Network Theme subresource - Read-only property
group:basicadded to search result metadata - Read-only property
group:business_unitadded to search result metadata - Read-only property
group:any_departmentadded to search result metadata - Read-only property
message:file:documentadded to search result metadata
Version 1.0
v1.0.25 - v1.0.26 December 18, 2014
- Query filter
roleintroduced for the Group resource collection - Introduced GET collection endpoint on Group Users subresource
- Introduced GET collection endpoint on Message Recipients subresource
- Introduced GET collection endpoint on News Recipients subresource
- Property
privacyadded to User Settings subresource - Read-only property
numRecipientsadded to Message resource - Property
permissionsadded to user metadata of Message resource
v1.0.24 November 20, 2014
- Introduced GET collection endpoint on Alert Groups subresource
- Introduced GET collection endpoint on Alert Originators subresource
- Introduced GET collection endpoint on User Groups subresource
- Introduced
addaction endpoint on User Groups subresource - Introduced
removeaction endpoint on User Groups subresource - Introduced
added_to_groupsalert type - Introduced
removed_from_groupsalert type - Read-only property
numGroupsadded to Alert resource - Introduced Folder Name object
- Read-only property
hasSubFoldersadded to File entity - Read-only property
pathadded to File entity
v1.0.22 - v1.0.23 November 5, 2014
- Application permission
edit_network_featuresadded - Application permission
edit_network_subscriptionadded - Introduced GET endpoint for default Group emblems
- Deprecated GET roster endpoint of Presence resource
- Introduced GET conversation roster endpoint of Presence resource
- Introduced GET others roster endpoint of Presence resource
- Introduced
downgradeaction endpoint on Network resource - Introduced
upgradeaction endpoint on Network resource - Introduced POST update endpoint on Network Features subresource
- Introduced PUT update endpoint on Network Features subresource
- Introduced external users
- Read-only property
hasExternalMembersadded to Group resource - Read-only property
extrnaladded to User resource - Property
roleadded to Invitee List entity - Property
groupsadded to Invitee List entity (in write-context) - Introduced applications events
- Property
eventsadded to App Manifest resource - Introduced App Manifest Events object
- Read-only property
hasExternalMembersadded to Network resource - Property
localLabeladded to App Entry Point object - Property
localNameadded to App Manifest resource - Read-only property
defaultadded to Role resource
v1.0.20 - v1.0.21 September 11, 2014
- Application permission
get_profilesadded - Introduced GET endpoint for default User avatars
- Introduced GET roster endpoint of Presence resource
- Introduced GET endpoint of User Presence subresource
- Introduced
presenceaction endpoint on Network resource - Introduced presence feature
- Introduced Presence resource
- Property
lightboxTemplateadded to App Entry Point object - Property
roleadded to signed requests
v1.0.19 August 14, 2014
- Introduced GET collection endpoint for recent files
- Introduced mentioning of users
- Introduced Mention entity
- Introduced
mentionalert type - Property
mentionsadded to Message resource
v1.0.18 July 31, 2014
- Application permission
upload_filesadded - Introduced GET endpoint of avatar mosaics
- Introduced
announcementmessage type - Property
titleadded to Conversation resource - Property
iconadded to Conversation resource (in write-context) - Read-only property
iconThumbnailUrladded to Conversation resource - Introduced
orphaned_groupalert type - Introduced Announcement Event Type enum
- Read-only property
dataadded to Message resource - Read-only property
eventadded to Message resource - HAL
participantsrelation added to Message resource
v1.0.17 July 17, 2014
- Introduced GET collection endpoint on Conversation Participants subresource
- Introduced
temporaryaction endpoint on File resource - Introduced
cropaction endpoint on Message resource - Introduced Embedly support
- Introduced Embed URL entity
- Property
embedsadded to Message resource - Read-only property
numParticipantsadded to Conversation resource
v1.0.16 July 3, 2014
- Query filter
commentedintroduced for the User resource collection - Introduced DELETE endpoint on Membership resource
- Introduced GET collection endpoint on Message Commenters subresource
- Introduced GET collection endpoint on Message Likers subresource
- Introduced
metaaction endpoint for Embedly URLs - Introduced GET endpoint on User New Features subresource
- Introduced
likeaction endpoint on Message resource - Introduced
unlikeaction endpoint on Message resource - Introduced POST update endpoint on User New Features subresource
- Read-only property
numAttachmentsadded to Message resource - Read-only property
numLikesadded to Message resource - Property
hasRecentlyCommentedadded to user metadata of Message resource - Property
hasLikedadded to user metadata of Message resource - Read-only property
numOriginatorsadded to Alert resource - HAL
originatorsrelation added to Alert resource
v1.0.15 June 5, 2014
- Introduced
removeaction endpoint on App resource - Introduced
moveaction endpoint on Message resource - Introduced
removeaction endpoint on Message resource - Property
parentFolderadded to Message resource (in write-context) - HAL
parentFolderrelation added to Message resource - Introduced User Features subresource
- Deprecated property
numAuthorsfrom Alert Resource
v1.0.14 May 22, 2014
- Introduced
addaction endpoint on App resource - Introduced
readaction endpoint on Message resource - Introduced PUT update endpoint on Message resource
- Read-only property
removableadded to App Manifest resource - Read-only property
message:file:folderadded to search result metadata - Read-only property
nameadded to File entity - Read-only property
extensionadded to File entity
v1.0.13 May 8, 2014
- Query filter
exclude_roleintroduced for the Membership resource collection - Query filter
modified_sinceintroduced for the Conversation resource collection - Query filter
modified_sinceintroduced for the Group resource collection - Query filter
modified_sinceintroduced for the User resource collection - Introduced Network Features subresource
- Read-only property
marketEnabledadded to Network resource - Read-only property
lastModifiedadded to User resource - Read-only property
lastModifiedadded to Group resource
v1.0.12 May 1, 2014
- Query filter
exclude_roleintroduced for the User resource collection - Introduced DELETE endpoint on Role resource
- Introduced GET endpoint on User Device resource
- Introduced GET collection endpoint on Role resource
- Introduced GET default endpoint on Role resource
- Introduced GET endpoint on Role resource
- Introduced POST new endpoint on Role resource
- Introduced POST update endpoint on Role resource
- Introduced PUT update endpoint on Role resource
- Introduced
changerolesaction endpoint on Network resource - Introduced
mergeaction endpoint on User resource - Introduced network roles
- Introduced Role resource
v1.0.11 March 21, 2014
- Query filter
coalescedintroduced for the Alert resource collection - Introduced POST update endpoint on User Settings subresource
- Introduced bubbling in timelines
- Introduced Bubble object
- Property
bubbleadded to Message resource - Introduced alert coalescing
- Property
numCoalescedadded to Alert resource - Property
numAuthorsadded to Alert resource - Property
numAuthorsadded to Alert resource - Property
numUnreadAlertsCoalescedadded to Badge counter resource
v1.0.10 February 20, 2014
- Deprecated GET endpoint of Widget resource
- Introduced GET endpoint of Spotlight Widget
- Introduced GET collection endpoint on Widget resource
- Introduced GET collection endpoint on User Settings subresource
- Deprecated POST update endpoint of Widget resource
- Introduced POST update endpoint of Spotlight Widget
- Introduced POST bulk update endpoint on Widget resource
- Introduced PUT bulk update endpoint on Widget resource
- Introduced PUT update endpoint on User Settings subresource
- Property
tourCompletedadded to User resource - Property
appDataadded to Message resource - Header
X-File-Namewill be properly URL decoded - Property
appDataadded to Alert resource - Introduced User Settings subresource
- Read-only property
invitedAtadded to Membership resource
v1.0.9 February 6, 2014
- Application permission
send_alertsadded - Introduced GET endpoint on User Status subresource
- Property
messageadded to Invitee List entity - Property
iconThumbnailUrladded to App Manifest resource - HAL
apprelation added to Alert resource - Introduced Widget resource
v1.0.8 January 17, 2014
- Application permission
post_updatesadded - Introduced
app_updatemessage type - Property
recipientsadded to Message resource (in write-context) - Property
resendadded to Invitee List entity - Property
inviteesadded to Invitee List entity - Introduced Invitee object
- HAL
apprelation added to Message resource
v1.0.7 January 16, 2014
- Application permission
invite_usersadded - Introduced GET collection endpoint on Badge Counter resource
- Deprecated
markreadaction endpoint of Conversation resource - Property
permissionsadded to App Manifest resource - Property
recipientsadded to Message resource (in write-context)
v1.0.6 January 8, 2014
- Query filter
include_secretintroduced for the Group resource collection - Introduced GET endpoint on App resource
- Introduced GET collection endpoint on App Manifest resource
- Introduced GET collection endpoint on Network resource
- Introduced GET collection endpoint on App resource
- Introduced GET branding CSS on Network resource
- Introduced
signrequestaction endpoint on App Manifest resource - Introduced POST new endpoint on App resource
- Introduced POST update endpoint on App resource
- Introduced
checkexistenceaction endpoint on Resource resource - Property
localeadded to signed requests - Property
deviceadded to signed requests - Property
positionadded to signed requests - Property
appDataadded to signed requests - Introduced App resource
- Introduced App Manifest resource
- Introduced App Entry Point object
- Introduced Audience object
- Introduced App Position enum
- Introduced
appalert type
v1.0.5 December 11, 2013
- Introduced GET endpoint on Token resource
- Introduced
changepasswordaction endpoint - Introduced POST new endpoint on User Device resource
- Deprecated
markreadaction endpoint of Alert resource - Deprecated
changepasswordaction endpoint of User resource - Introduced User Device resource
- Introduced Token Status resource
- Property
memberadded to user metadata of Network resource - Introduced Resource List resource
v1.0.4 November 13, 2013
- Introduced
shareaction endpoint on Message resource - Property
languageadded to Network resource - Read-only property
deletedadded to User resource - Read-only property
message:newsadded to search result metadata - Property
loginBackgroundUrlsadded to Network Theme subresource
v1.0.3 November 7, 2013
- Query filter
roleintroduced for the User resource collection - Introduced GET endpoint on Widget resource
- Introduced GET collection endpoint on default backgrounds
- Introduced POST update endpoint on Widget resource
- Introduced POST new endpoint on Network Theme subresource
- Introduced Network Theme subresource
- Property
themeadded to Network resource
v1.0.2 October 23, 2013
- Query filter
categoryintroduced for the Alert resource collection - Query filter
inviteeintroduced for the Group resource collection - Query filter
roleintroduced for the Membership resource collection - Introduced DELETE endpoint on Group resource
- Deprecated GET endpoint of Network Invites subresource
- Deprecated GET collection endoint of Network Invites subresource
- Introduced generic action endpoint on Alert resource
- Introduced
changepasswordaction endpoint on User resource - Introduced
inviteaction endpoint on Group resource - Query filter
categoryintroduced for the Alert resource collection - Read-only property
dataadded to successful JSON response - Property
numAdminALertsadded to Badge counter resource - Read-only property
categoryadded to Alert resource - HAL
grouprelation added to Alert resource